# 3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} GET https://graph.facebook.com/v25.0/{video_id} Content-Type: application/x-www-form-urlencoded Reference: https://docs.deao.dev/cloudflare/social-media-posting/facebook/stories/video/3-get-upload-status-https-graph-facebook-com-v-25-0-video-id-access-token-fb-page-access-token-appsecret-proof-fb-appsecret-proof ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /v25.0/{video_id}: get: operationId: >- 3-get-upload-status-https-graph-facebook-com-v-25-0-video-id-access-token-fb-page-access-token-appsecret-proof-fb-appsecret-proof summary: >- 3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} tags: - >- subpackage_socialMediaPosting.subpackage_socialMediaPosting/facebook.subpackage_socialMediaPosting/facebook/stories.subpackage_socialMediaPosting/facebook/stories/video parameters: - name: video_id in: path description: From step 1 {video_id} required: true schema: type: string - name: access_token in: query description: '{fb_page_access_token}' required: false schema: type: string - name: fields in: query required: false schema: type: string responses: '200': description: OK content: application/json: schema: $ref: >- #/components/schemas/Social Media Posting_Facebook_Stories_Video_3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_Response_200 requestBody: content: application/json: schema: type: object properties: {} servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: V250VideoIdGetResponsesContentApplicationJsonSchemaStatusUploadingPhase: type: object properties: status: type: string bytes_transferred: type: integer required: - status - bytes_transferred title: V250VideoIdGetResponsesContentApplicationJsonSchemaStatusUploadingPhase V250VideoIdGetResponsesContentApplicationJsonSchemaStatusProcessingPhase: type: object properties: status: type: string required: - status title: V250VideoIdGetResponsesContentApplicationJsonSchemaStatusProcessingPhase V250VideoIdGetResponsesContentApplicationJsonSchemaStatusPublishingPhase: type: object properties: status: type: string required: - status title: V250VideoIdGetResponsesContentApplicationJsonSchemaStatusPublishingPhase V250VideoIdGetResponsesContentApplicationJsonSchemaStatusCopyrightCheckStatus: type: object properties: status: type: string matches_found: type: boolean required: - status - matches_found title: >- V250VideoIdGetResponsesContentApplicationJsonSchemaStatusCopyrightCheckStatus V250VideoIdGetResponsesContentApplicationJsonSchemaStatus: type: object properties: video_status: type: string uploading_phase: $ref: >- #/components/schemas/V250VideoIdGetResponsesContentApplicationJsonSchemaStatusUploadingPhase processing_phase: $ref: >- #/components/schemas/V250VideoIdGetResponsesContentApplicationJsonSchemaStatusProcessingPhase publishing_phase: $ref: >- #/components/schemas/V250VideoIdGetResponsesContentApplicationJsonSchemaStatusPublishingPhase copyright_check_status: $ref: >- #/components/schemas/V250VideoIdGetResponsesContentApplicationJsonSchemaStatusCopyrightCheckStatus required: - video_status - uploading_phase - processing_phase - publishing_phase - copyright_check_status title: V250VideoIdGetResponsesContentApplicationJsonSchemaStatus 'Social Media Posting_Facebook_Stories_Video_3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_Response_200': type: object properties: id: type: string status: $ref: >- #/components/schemas/V250VideoIdGetResponsesContentApplicationJsonSchemaStatus required: - id - status title: >- Social Media Posting_Facebook_Stories_Video_3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_Response_200 ``` ## SDK Code Examples ```python 3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} import requests url = "https://graph.facebook.com/v25.0/1995057251394009" querystring = {"access_token":"EAARvj2oSxZBIBQ4Ef3gxW1zZCkoJZBxZCFxjVilKupwAXRCEIPNZBQfMmtIvGDqQDNqVQ6z6OhdEWagK2ZADK8ZCOkPhhfgjP3ojOGkAGvZCmZBjl50UJElpZBp0ZCpYXK4C78TXoaD2LcbZADOEEZBFr68LlcmH4LgQZBCaIZB59Amh8HC9qpysBAz09bkWD5IRZCGBqNGmp58iEwmx2HhfUZCdAoqYR","fields":"status"} payload = "" headers = {"Content-Type": "application/x-www-form-urlencoded"} response = requests.get(url, data=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript 3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} const url = 'https://graph.facebook.com/v25.0/1995057251394009?access_token=EAARvj2oSxZBIBQ4Ef3gxW1zZCkoJZBxZCFxjVilKupwAXRCEIPNZBQfMmtIvGDqQDNqVQ6z6OhdEWagK2ZADK8ZCOkPhhfgjP3ojOGkAGvZCmZBjl50UJElpZBp0ZCpYXK4C78TXoaD2LcbZADOEEZBFr68LlcmH4LgQZBCaIZB59Amh8HC9qpysBAz09bkWD5IRZCGBqNGmp58iEwmx2HhfUZCdAoqYR&fields=status'; const options = { method: 'GET', headers: {'Content-Type': 'application/x-www-form-urlencoded'}, body: new URLSearchParams('') }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go 3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} package main import ( "fmt" "net/http" "io" ) func main() { url := "https://graph.facebook.com/v25.0/1995057251394009?access_token=EAARvj2oSxZBIBQ4Ef3gxW1zZCkoJZBxZCFxjVilKupwAXRCEIPNZBQfMmtIvGDqQDNqVQ6z6OhdEWagK2ZADK8ZCOkPhhfgjP3ojOGkAGvZCmZBjl50UJElpZBp0ZCpYXK4C78TXoaD2LcbZADOEEZBFr68LlcmH4LgQZBCaIZB59Amh8HC9qpysBAz09bkWD5IRZCGBqNGmp58iEwmx2HhfUZCdAoqYR&fields=status" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Content-Type", "application/x-www-form-urlencoded") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby 3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} require 'uri' require 'net/http' url = URI("https://graph.facebook.com/v25.0/1995057251394009?access_token=EAARvj2oSxZBIBQ4Ef3gxW1zZCkoJZBxZCFxjVilKupwAXRCEIPNZBQfMmtIvGDqQDNqVQ6z6OhdEWagK2ZADK8ZCOkPhhfgjP3ojOGkAGvZCmZBjl50UJElpZBp0ZCpYXK4C78TXoaD2LcbZADOEEZBFr68LlcmH4LgQZBCaIZB59Amh8HC9qpysBAz09bkWD5IRZCGBqNGmp58iEwmx2HhfUZCdAoqYR&fields=status") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/x-www-form-urlencoded' response = http.request(request) puts response.read_body ``` ```java 3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://graph.facebook.com/v25.0/1995057251394009?access_token=EAARvj2oSxZBIBQ4Ef3gxW1zZCkoJZBxZCFxjVilKupwAXRCEIPNZBQfMmtIvGDqQDNqVQ6z6OhdEWagK2ZADK8ZCOkPhhfgjP3ojOGkAGvZCmZBjl50UJElpZBp0ZCpYXK4C78TXoaD2LcbZADOEEZBFr68LlcmH4LgQZBCaIZB59Amh8HC9qpysBAz09bkWD5IRZCGBqNGmp58iEwmx2HhfUZCdAoqYR&fields=status") .header("Content-Type", "application/x-www-form-urlencoded") .asString(); ``` ```php 3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} request('GET', 'https://graph.facebook.com/v25.0/1995057251394009?access_token=EAARvj2oSxZBIBQ4Ef3gxW1zZCkoJZBxZCFxjVilKupwAXRCEIPNZBQfMmtIvGDqQDNqVQ6z6OhdEWagK2ZADK8ZCOkPhhfgjP3ojOGkAGvZCmZBjl50UJElpZBp0ZCpYXK4C78TXoaD2LcbZADOEEZBFr68LlcmH4LgQZBCaIZB59Amh8HC9qpysBAz09bkWD5IRZCGBqNGmp58iEwmx2HhfUZCdAoqYR&fields=status', [ 'form_params' => null, 'headers' => [ 'Content-Type' => 'application/x-www-form-urlencoded', ], ]); echo $response->getBody(); ``` ```csharp 3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} using RestSharp; var client = new RestClient("https://graph.facebook.com/v25.0/1995057251394009?access_token=EAARvj2oSxZBIBQ4Ef3gxW1zZCkoJZBxZCFxjVilKupwAXRCEIPNZBQfMmtIvGDqQDNqVQ6z6OhdEWagK2ZADK8ZCOkPhhfgjP3ojOGkAGvZCmZBjl50UJElpZBp0ZCpYXK4C78TXoaD2LcbZADOEEZBFr68LlcmH4LgQZBCaIZB59Amh8HC9qpysBAz09bkWD5IRZCGBqNGmp58iEwmx2HhfUZCdAoqYR&fields=status"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/x-www-form-urlencoded"); IRestResponse response = client.Execute(request); ``` ```swift 3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof} import Foundation let headers = ["Content-Type": "application/x-www-form-urlencoded"] let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/v25.0/1995057251394009?access_token=EAARvj2oSxZBIBQ4Ef3gxW1zZCkoJZBxZCFxjVilKupwAXRCEIPNZBQfMmtIvGDqQDNqVQ6z6OhdEWagK2ZADK8ZCOkPhhfgjP3ojOGkAGvZCmZBjl50UJElpZBp0ZCpYXK4C78TXoaD2LcbZADOEEZBFr68LlcmH4LgQZBCaIZB59Amh8HC9qpysBAz09bkWD5IRZCGBqNGmp58iEwmx2HhfUZCdAoqYR&fields=status")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```